package utils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface Utils {
    Map<String,Integer> userAttrNum =new HashMap<>()
    {
            {
                put("administrator",5);
                put("student",7);
                put("teacher",8);
            }
    };
    static String toUpperFirstChar(String string) {
        char[] charArray = string.toCharArray();
        charArray[0] -= 32;
        return String.valueOf(charArray);
    }
    static List<String> formatUserInfo(String userType, List<String> userInfo){
        for(int i=0;i<userAttrNum.get(userType)-userInfo.size();i++){
            userInfo.add("");
        }
        return userInfo;
    }
    static String cutTail(String s,int i){
        return s.substring(0,s.length()-i);
    }
    static String getFileType(String fileName){
        if(fileName.contains(".")){
            return fileName.substring(fileName.lastIndexOf('.'));
        }else{
            return "";
        }
    }
}
